                    <script>
                        $(function () {

                            var commonCheckboxTemplate = function (e) {
                                return "#if(data.all || data.UNIT){#" +
                                    "<div><label><input  type='checkbox' name='" + e.field + "' UNIT='#= data." + e.field + "#'><span>#= data.all || data.UNIT # </span></label></div>" +
                                    "#}#"
                            };

                            $(document).ready(function () {

                                var rsm = $('input[id$=hRSM]').val();
                                var serviceBaseUrl = $('input[id$=hServiceBaseUrl]').val();

                                $("#grid").kendoGrid({

                                    dataSource: {
                                        type: "odata",
                                        transport: {
                                            read: {
                                                url: serviceBaseUrl + "/api/outages",
                                                dataType: "json",
                                                beforeSend: function (xhr) { xhr.setRequestHeader("Accept", "application/json; odata=verbose") }
                                            }
                                        },
                                        sort: {
                                            field: "KEYDATE",
                                            dir: "asc",
                                        },

                                        schema: {

                                            data: function (data) {
                                                return data;
                                            },
                                            total: function (data) {
                                                return data.length;
                                            },
                                            model: {
                                                fields: {
                                                    KEYDATE: { type: "date" },
                                                    UNIT: { type: "string" }
                                                }
                                            },
                                        },

                                        filter: {
                                            filters: [{ field: "RSMREP", operator: "contains", value: rsm }]
                                        },
                                        pageSize: 20
                                    },
                                    height: 800,
                                    filterMenuInit: function (e) {
                                        $(e.container).css("width", "auto");
                                        if (e.field === "COUNTRY" || e.field === "INDUSTRY" || e.field === "ACCOUNTNAME" || e.field === "UNIT") {
                                            var filterMultiCheck = this.thead.find("[data-field=" + e.field + "]").data("kendoFilterMultiCheck")
                                            filterMultiCheck.container.empty();
                                            filterMultiCheck.checkSource.sort({ field: e.field, dir: "asc" });
                                            filterMultiCheck.checkSource.filter([]);
                                            filterMultiCheck.checkSource.data(filterMultiCheck.checkSource.view().toJSON());
                                            filterMultiCheck.createCheckBoxes();
                                            filterMultiCheck.refresh();
                                        }
                                        addBetweenFilter(e);
                                    },
                                    filterable: {
                                        extra: false,
                                        mode: "menu, row",
                                        operators: {
                                            string: {
                                                contains: "Contains"
                                            },
                                            date: {
                                                gte: "From Date",
                                                lte: "To Date",
                                            }
                                        }
                                    },
                                    selectable: "multiple, row",
                                    change: function (e) {
                                        selectedDataItems = [];
                                        var selectedRows = this.select();
                                        for (var i = 0; i < selectedRows.length; i++) {
                                            var dataItem = this.dataItem(selectedRows[i]);
                                            selectedDataItems.push(dataItem);
                                        }
                                    },
                                    sortable: true,
                                    groupable: true,
                                    pageable: {
                                        refresh: true,
                                        pageSizes: true,
                                        buttonCount: 5
                                    },
                                    detailInit: detailInit,
                                    dataBound: function () {

                                    },

                                    columns: [
                                        { selectable: true, width: "50px" },
                                        { field: 'ACCOUNTNAME', title: 'PLANT', width: 180, filterable: { multi: true, cell: { suggestionOperator: "contains" } } },
                                        { field: 'UNIT', title: 'UNIT', width: 140, filterable: { multi: true, cell: { suggestionOperator: "contains" }, itemTemplate: commonCheckboxTemplate } },
                                        { field: 'INDUSTRY', title: 'INDUSTRY', width: 140, filterable: { multi: true, cell: { suggestionOperator: "contains" } } },
                                        { field: 'COUNTRY', title: 'COUNTRY', width: 120, filterable: { multi: true, cell: { suggestionOperator: "contains" } } },

                                    ],
                                    pageable: {
                                        pageSizes: [10, 20, 50, "all"],
                                        numeric: false
                                    },

                                })

                            });
                        });

                            function detailInit(e) {
                                $("<div/>").appendTo(e.detailCell).kendoGrid({

                                    dataSource: {
                                        type: "odata",
                                        transport: {
                                            read: {
                                                url: serviceBaseUrl + "/api/leads/items?$top=5000",
                                                dataType: "json",
                                                beforeSend: function (xhr) { xhr.setRequestHeader("Accept", "application/json; odata=verbose") }
                                            }
                                        },
                                        schema: {
                                            data: function (data) {
                                                //debugger;
                                                return data;
                                            },
                                            total: function (data) {
                                                return data.length;
                                            },

                                        },

                                        filter: {
                                            field: "HGL_REF_KEY_DATESID", operator: "eq", value: e.data.HGL_REF_KEY_DATESID
                                        },
                                        pageSize: 10
                                    },
                                    scrollable: false,
                                    sortable: true,
                                    pageable: true,
                                    columns: [

                                        { field: "LEADSTEP", title: "Step", width: "150px" },
                                        { field: "STATUS", title: "Status", width: "150px" }
                                    ]
                                });
                            }

                    </script>